# Copyright (c) 2024 Biprajeet Kar

# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:

# The above copyright notice and this permission notice shall be included in all
# copies or substantial portions of the Software.

# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
# SOFTWARE.

model_map = {
    "amazon.titan-text-express-v1": "Amazon",
    "amazon.titan-text-lite-v1": "Amazon",
    "amazon.titan-text-premier-v1:0": "Amazon",
    "anthropic.claude-v2": "Anthropic",
    "anthropic.claude-v2:1": "Anthropic",
    "anthropic.claude-3-sonnet-20240229-v1:0": "Anthropic",
    "anthropic.claude-3-haiku-20240307-v1:0": "Anthropic",
    "anthropic.claude-3-opus-20240229-v1:0": "Anthropic",
    "anthropic.claude-instant-v1": "Anthropic",
    "cohere.command-text-v14": "Cohere",
    "cohere.command-light-text-v14": "Cohere",
    "cohere.command-r-v1:0": "Cohere",
    "cohere.command-r-plus-v1:0": "Cohere",
    "meta.llama2-13b-chat-v1": "Meta",
    "meta.llama2-70b-chat-v1": "Meta",
    "meta.llama3-8b-instruct-v1:0": "Meta",
    "meta.llama3-70b-instruct-v1:0": "Meta",
    "mistral.mistral-7b-instruct-v0:2": "Mistral AI",
    "mistral.mixtral-8x7b-instruct-v0:1": "Mistral AI",
    "mistral.mistral-large-2402-v1:0": "Mistral AI",
    "mistral.mistral-small-2402-v1:0": "Mistral AI",
}

allowed_model_for_tool = [
    "anthropic.claude-3-sonnet-20240229-v1:0",
    "anthropic.claude-3-haiku-20240307-v1:0",
    "anthropic.claude-3-opus-20240229-v1:0",
    "mistral.mistral-large-2402-v1:0",
    "cohere.command-r-v1:0",
    "cohere.command-r-plus-v1:0",
]
